<?php

namespace CouponsPlus\App\Coupon\Tree\Notifications\Buttons;

use CouponsPlus\App\Coupon\Tree\Abilities\URL;

class Button
{
    protected string $text;
    protected URL $url;

    public function __construct(string $text, URL $url)
    {
        $this->text = $text;
        $this->url = $url;
    }

    public function getText(): string
    {
        return $this->text;
    }

    public function getUrl(): string
    {
        return $this->url->getUrl();
    }
}